Subject: [Dime] Clarification regarding election process

From: "Balamurugan T, TLS-Chennai" <[email-masked]>
Date: Wed, 25 Jul 2007 20:59:27 +0530

Hi All,

      I need some clarification regarding the statements for election
process.

      (1) In 5.6.4.  The Election Process
 
     "The election is performed on the responder.  The responder
compares
   the Origin-Host received in the CER sent by its peer with its own
   Origin-Host.  If the local Diameter entity's Origin-Host is higher
   than the peer's, a Win-Election event is issued locally."

   (2)In 5.6  Peer State Machine
 
      "The  responder connection will survive if the Origin-Host of the
local
   Diameter entity is higher than that of the peer; the initiator
   connection will survive if the peer's Origin-Host is higher."

   But In state machine,
 
       state            event              action         next state
   -----------------------------------------------------------------
    Wait-Returns     Win-Election     I-Disc,R-Snd-CEA R-Open

      According to this the responder who wins the election  has to
disconnect his I(initiated) connection.

      This seems to be contradict with point (2).

      Also section 7.1.4 says,

     "ELECTION_LOST                      4003
      The peer has determined that it has lost the election process and
      has therefore disconnected the transport connection."

      Please clarify, which one is correct.

Thanks in advance,

Bala

DISCLAIMER:
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only.
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates.
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of 
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have
received this email in error please delete it and notify the sender immediately. Before opening any mail and 
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime